Subject: [storm] iSCSI - WG LC status + no Taipei meeting

From: <[email-masked]>
Date: Mon, 12 Sep 2011 10:17:12 -0400

The storm WG LC for the two iSCSI drafts officially ended about a week ago.  I want to thank everyone who's contributed, including the implementers who reviewed the drafts.

A new version of the consolidated iSCSI draft will be needed to address a number of issues, not all of which are resolved.  Right now, the one that's highest on my list is figuring out what to about IPsec:

> [C] The IPsec RFC references have been updated to the new version of IPsec, but we haven't
> done anything to RFC 3723, which still references an older version of IPsec.  I had been
> hoping to avoid updating RFC 3723, but input on what to do here is welcome.  One possibility
> is to add just enough text to the consolidated draft to update the IPsec requirements material
> in RFC 3723 to the new version of IPsec, allow implementation of the old version, and avoid
> a 3723bis draft.  Thoughts?

I suspect the answer is going to wind up being that I get assigned to write "just enough text" for the IPsec version update and making sure that the text is ok with the IETF Security Area - oh well, I have to earn that blue dot [IETF meeting badge indication for a WG chair] every so often ;-).  Stay tuned for further developments on this topic.

A new version of the features (-sam) draft was posted about a week ago that I believe responds to all known issues.  I do have one outstanding process concern - the IANA considerations text for the values of the new iSCSIProtocolLevel key is being carefully crafted to allow this key to form part of the definition of the values for the iSCSI protocol descriptor that can be returned by a SCSI INQUIRY command (see 6.4.2 in SPC-3 or the current working draft of SPC-4). This needs more attention than usual because it spans two standards organizations - IETF and T10 (SCSI standards).

T10 is meeting this week (EMC is hosting in suburban Boston), so I plan to talk directly to the -sam draft author (Fred Knight) and the T10 technical editor of SPC-4 (Ralph Weber) to make sure that we get this right.  Expect a follow-up email to the list sometime later this week from me to explain exactly what is going on and planned to happen (e.g., there will need to be a T10 proposal to modify SPC-4 to reference the to-be-created registry for the values of this key used to construct version descriptors for iSCSI, but that probably won't happen this week).

I don't see the need for a second WG Last Call on these drafts - focused emails and list discussion on the issues that need attention should be sufficient.

Finally, the storm WG will not meet during the IETF Taipei meeting week in November.  We will continue to operate via the mailing list.

Thanks,
--David (storm WG co-chair)
----------------------------------------------------
David L. Black, Distinguished Engineer
EMC Corporation, 176 South St., Hopkinton, MA  01748
+1 (508) 293-7953             FAX: +1 (508) 293-7786
[email-masked]        Mobile: +1 (978) 394-7754
----------------------------------------------------